#include "kernel.h"
#include "kernel_id.h"
#include "ecrobot_interface.h"

DeclareTask(Task1);				/* Task1を宣言 */

void ecrobot_device_initialize(){		/* OSEK起動時の処理（モータ停止）*/
	nxt_motor_set_speed(NXT_PORT_B,0,1);
	nxt_motor_set_speed(NXT_PORT_C,0,1);
	display_clear(0);
}

void ecrobot_device_terminate(){		/* OSEK終了時の処理（モータ停止）*/
	nxt_motor_set_speed(NXT_PORT_B,0,1);
	nxt_motor_set_speed(NXT_PORT_C,0,1);
}


void user_1ms_isr_type2(void){}

TASK(Task1)
{
   int i;
   int duty = 0;
   int dutym;

   for(i = 0 ; i < 20; i++){

	duty+=1;
	display_goto_xy(0,1);
	display_string("duty = ");		
	display_int(duty,0);
	display_update();
	dutym = - duty;

	nxt_motor_set_speed(NXT_PORT_B,duty,1);
	nxt_motor_set_speed(NXT_PORT_C,duty,1);
	systick_wait_ms(2000);

	nxt_motor_set_speed(NXT_PORT_B,0,1);
	nxt_motor_set_speed(NXT_PORT_C,0,1);
	systick_wait_ms(1000);

	nxt_motor_set_speed(NXT_PORT_B,dutym,1);
	nxt_motor_set_speed(NXT_PORT_C,dutym,1);
	systick_wait_ms(2000);

	nxt_motor_set_speed(NXT_PORT_B,0,1);
	nxt_motor_set_speed(NXT_PORT_C,0,1);


   }
   	display_string("THAT'S ALL !");		/* メッセージを表示する */
	display_update();
	TerminateTask();					/* 処理終了 */
}


